GDAL - Desinstalar e Reinstalar

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

GDAL - Desinstalar e Reinstalar

Pedro
Olá,


Não tem a ver com o QGIS mas como há aqui gente com bastante know how aproveito para colocar uma dúvida.

Ao correr umas coisas tenho uns erros que apontam para o GDAL
Native library load failed.
java.lang.UnsatisfiedLinkError: /home/geoairc/QGIS_Install/geokettle/libswt/linux/x86_64/libogrjni.so: liblcms.so.1: cannot open shared object file: No such file or directory
INFO  29-05 10:10:37,639 - OGR Input - wfs xml geodomus.0 - Finished processing (I=0, O=0, R=0, W=0, U=0, E=0)
Exception in thread "OGR Input - wfs xml geodomus.0 (Thread-10)" java.lang.UnsatisfiedLinkError: org.gdal.ogr.ogrJNI.RegisterAll()V
    at org.gdal.ogr.ogrJNI.RegisterAll(Native Method)
    at org.gdal.ogr.ogr.RegisterAll(ogr.java:110)
    at org.pentaho.di.core.geospatial.OGRReader.open(OGRReader.java:75)
    at org.pentaho.di.trans.steps.ogrfileinput.OGRFileInputMeta.getOutputFields(OGRFileInputMeta.java:277)
    at org.pentaho.di.trans.steps.ogrfileinput.OGRFileInput.processRow(OGRFileInput.java:172)
    at org.pentaho.di.trans.steps.ogrfileinput.OGRFileInput.run(OGRFileInput.java:342)

Com ajuda, indicaram-me  que faltam os bindings do GDAL para Java. O RPM que os contêm deve chamar-se gdal-java:
https://www.rpmfind.net/linux/RPM/epel/7/x86_64/g/gdal-java-1.11.4-1.el7.x86_64.html

Instalei mas obtenho uns erros de dependencias sucessivas que não consigo ultrapassar.

Agora lembrei-me de desinstalar o GDAL e tentar reinstalar.
MAs não sei como desinstalar...

Estou numa VM com CentOS 7 e a versão do
GDAL 1.11.4, released 2016/01/25


Qualquer ajuda será bem vinda!.

Obrigado,
Pedro Ferro

Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Rui Cavaco-2
Viva Pedro.

Nos repos de Fedora, a versão corrente de GDAL é 2.1.x. No CentOS deve ser uma situação semelhante pelo que a versão 1.11.4 é um pouco antiga e dai, possivelmente, os erros de dependencias ao tentar instalar um gdal-java muito mais recente do que a biblioteca base GDAL que possuías.

Se bem me lembro, o comando de instalação em CentOS é "yum". Assim sendo, usando privilégios de root com 'sudo' ou 'sudo su -':

a) desinstalar:    yum remove gdal gdal-python

b) instalar:     yum install gdal gdal-python gdal-java

Deve ser suficiente.

Cumprimentos

Rui Cavaco

Pedro <[hidden email]> escreveu no dia terça, 30/05/2017 às 16:25:
Olá,

Não tem a ver com o QGIS mas como há aqui gente com bastante know how
aproveito para colocar uma dúvida.

Ao correr umas coisas tenho uns erros que apontam para o GDAL


Com ajuda, indicaram-me  que faltam os bindings do GDAL para Java. O RPM que
os contêm deve chamar-se gdal-java:


Instalei mas obtenho uns erros de dependencias sucessivas que não consigo
ultrapassar.

Agora lembrei-me de desinstalar o GDAL e tentar reinstalar.
MAs não sei como desinstalar...

Estou numa VM com CentOS 7 e a versão do
GDAL 1.11.4, released 2016/01/25


Qualquer ajuda será bem vinda!.

Obrigado,
Pedro Ferro





--
View this message in context: http://osgeo-org.1560.x6.nabble.com/GDAL-Desinstalar-e-Reinstalar-tp5322328.html
Sent from the QGIS-pt mailing list archive at Nabble.com.
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Pedro
Obrigado Rui pela explicação.

Uma dúvida mais (provavelmente bem básica), mas estando eu a trabalhar com o CentOS quando fizer o:
yum install gdal gdal-python gdal-java

não irei buscar a novamente a mesma versão GDAL que estou a utilizar?
Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Rui Cavaco-2

Caso tenhas dúvidas, podes actualizar as referências dos pacotes de instalação com

yum update

antes da instalação propriamente dita.

Ab.

RC


A Ter, 30 de Mai de 2017, 23:32, Pedro <[hidden email]> escreveu:
Obrigado Rui pela explicação.

Uma dúvida mais (provavelmente bem básica), mas estando eu a trabalhar com o
CentOS quando fizer o:
yum install gdal gdal-python gdal-java

não irei buscar a novamente a mesma versão GDAL que estou a utilizar?



--
View this message in context: http://osgeo-org.1560.x6.nabble.com/GDAL-Desinstalar-e-Reinstalar-tp5322328p5322382.html
Sent from the QGIS-pt mailing list archive at Nabble.com.
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Rui Cavaco-2

Pedro:

Após uma pesquisa rápida, parece que a versão GDAL corrente para CentOS sempre é 1.11.x ...

Reinstalar tudo pode permitir o funcionamento correcto das Java bindings.

Caso contrário, resta-te seguir uma das várias receitas disponíveis em foruns sobre como compilar a partir das sources ou instalar a partir dos RPM mais recentes para Fedora.

RC


A Qua, 31 de Mai de 2017, 00:28, Rui Cavaco <[hidden email]> escreveu:

Caso tenhas dúvidas, podes actualizar as referências dos pacotes de instalação com

yum update

antes da instalação propriamente dita.

Ab.

RC


A Ter, 30 de Mai de 2017, 23:32, Pedro <[hidden email]> escreveu:
Obrigado Rui pela explicação.

Uma dúvida mais (provavelmente bem básica), mas estando eu a trabalhar com o
CentOS quando fizer o:
yum install gdal gdal-python gdal-java

não irei buscar a novamente a mesma versão GDAL que estou a utilizar?



--
View this message in context: http://osgeo-org.1560.x6.nabble.com/GDAL-Desinstalar-e-Reinstalar-tp5322328p5322382.html
Sent from the QGIS-pt mailing list archive at Nabble.com.
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Pedro
In reply to this post by Pedro
Repondendo um pouco a mim próprio, parace-me que quando faço o tal comando
yum install gdal gdal-python gdal-java
 na minha máquina CentOS, irá instalar a tal versão antiga do GDAL (1.11...)

Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: centos.mirror.ptisp.pt
 * epel: epel.besthosting.ua
 * extras: centos.mirror.ptisp.pt
 * updates: centos.mirror.ptisp.pt
Resolving Dependencies
--> Running transaction check
---> Package gdal.x86_64 0:1.11.4-10.rhel7 will be installed
---> Package gdal-java.x86_64 0:1.11.4-10.rhel7 will be installed
---> Package gdal-python.x86_64 0:1.11.4-10.rhel7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

Também tentei usar este rpm
gdal-2.1.3-3.fc27.x86_64.rpm
que retirei de https://www.rpmfind.net/linux/rpm2html/search.php?query=gdal+x86_64&submit=Search+...&system=&arch=

mas quando o instalo na minha máquina obtenho, uma vez mais, uma série de erros de dependências
[root@srvlgis01 tmp]# rpm -Uvh gdal-2.1.3-3.fc27.x86_64.rpm
warning: gdal-2.1.3-3.fc27.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID f5282ee4: NOKEY
error: Failed dependencies:
	gdal-libs(x86-64) = 2.1.3-3.fc27 is needed by gdal-2.1.3-3.fc27.x86_64
	libarmadillo.so.7()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libcrypto.so.1.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libdap.so.23()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libgdal.so.20()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libhdf5.so.10()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libjasper.so.4()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libkmlbase.so.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libkmldom.so.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libkmlengine.so.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libkmlregionator.so.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libkmlxsd.so.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libnetcdf.so.11()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libpng16.so.16()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libpoppler.so.67()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libproj.so.12()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libspatialite.so.7()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libssl.so.1.1()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libstdc++.so.6(CXXABI_1.3.9)(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libstdc++.so.6(GLIBCXX_3.4.21)(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
	libwebp.so.7()(64bit) is needed by gdal-2.1.3-3.fc27.x86_64
Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Rui Cavaco-2
A noção que tenho é que o CentOS é particularmente difícil de administrar, nesta àrea do software SIG, ao ser mais orientado para servidores do que para o desktop.

Ubuntu ou Fedora são, desse ponto de vista, bem mais fáceis.

O tipo de ajuda que pretendes é bastante especializada e um pouco desenquadrada do tema "QGIS" pelo que sugiro que coloques uma pergunta no GIS Stackexchange (https://gis.stackexchange.com).

Cumprimentos,

Rui Cavaco

Pedro <[hidden email]> escreveu no dia quarta, 31/05/2017 às 01:26:
Repondendo um pouco a mim próprio, parace-me que quando faço o tal comando
na minha máquina CentOS, irá instalar a tal versão antiga do GDAL (1.11...)



Também tentei usar este rpm

que retirei de
https://www.rpmfind.net/linux/rpm2html/search.php?query=gdal+x86_64&submit=Search+...&system=&arch=

mas quando o instalo na minha máquina obtenho, uma vez mais, uma série de
erros de dependências





--
View this message in context: http://osgeo-org.1560.x6.nabble.com/GDAL-Desinstalar-e-Reinstalar-tp5322328p5322393.html
Sent from the QGIS-pt mailing list archive at Nabble.com.
_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt

_______________________________________________
QGIS-pt mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/qgis-pt
Reply | Threaded
Open this post in threaded view
|

Re: GDAL - Desinstalar e Reinstalar

Pedro
This post was updated on .
Obrigado pelo auxilio!

Segui a sugestão e coloquei a questão aqui

Ab
PF